Complete Clarity Document Upload
curl --request POST \
--url https://api.duvo.ai/v2/clarity/processes/{id}/captures/document/{captureId}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileName": "<string>"
}
'import requests
url = "https://api.duvo.ai/v2/clarity/processes/{id}/captures/document/{captureId}/complete"
payload = { "fileName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fileName: '<string>'})
};
fetch('https://api.duvo.ai/v2/clarity/processes/{id}/captures/document/{captureId}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"videoUrl": "<string>",
"videoTranscript": "<string>",
"transcript": [
{
"message": "<string>",
"speakerName": "<string>",
"timestamp": 123
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"userName": "<string>",
"documentFileName": "<string>",
"documentTextMetadata": {
"pages": [
{
"pageNumber": 123,
"startOffset": 4503599627370495,
"endOffset": 4503599627370495,
"lines": [
{
"pageNumber": 123,
"lineNumber": 123,
"startOffset": 4503599627370495,
"endOffset": 4503599627370495
}
]
}
]
},
"hasTranscript": true,
"hasVideoTranscript": true,
"transcriptQuestionCount": 4503599627370495
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Clarity
Complete Clarity Document Upload
Complete a document capture after uploading to GCS via signed URL
POST
/
v2
/
clarity
/
processes
/
{id}
/
captures
/
document
/
{captureId}
/
complete
Complete Clarity Document Upload
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The clarity process ID
The capture ID
Body
application/json
Name of the uploaded document file
Minimum string length:
1Response
Default Response
Show child attributes
Show child attributes
Available options:
pending, recording, processing, complete, failed Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Was this page helpful?
⌘I